Kerbal Space Program - Bug #25849

Kal-1000 loses connection to some parts.
07/25/2020 02:40 PM - jukkamuhonen@hotmail.com

Status: Confirmed Start date: 07/25/2020
Severity: Low % Done: 10%
Assignee:
Category: Robotics
Target version:
Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Putting some robotic parts legs (many robotic part on same parent part) , using symmetry or radial to set up multiple them.
If adjusting robotic parts, example removing from symmetry might break kal-1000 connection when launching vehicle, in editor
everything seems fine. Only way to fix this is to remove kal-1000 connection from every part and make new connections again.

History

#1 - 07/29/2020 10:51 PM - jukkamuhonen@hotmail.com

Same happens If you copy part which have kal actions on it, kal actions are copied to new part but original part loses kal actions.

More excepted behaviour would be that both parts will have same kal actions at the end.

#2 - 10/16/2020 07:20 AM - jukkamuhonen@hotmail.com
- Status changed from New to Confirmed

- % Done changed from 0 to 10
